local VERSION = tonumber(("$Revision: 42462 $"):match("%d+"))

local Parrot = Parrot
if Parrot.revision < VERSION then
	Parrot.version = "r" .. VERSION
	Parrot.revision = VERSION
	Parrot.date = ("$Date: 2007-07-02 00:38:22 -0400 (Mon, 02 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local L = Parrot:L("Parrot-AnimationStyles")

Parrot:RegisterAnimationStyle("Straight", L["Straight"], function(fontstring, scrollArea, percent)
	local fsHeight = fontstring:GetHeight()
	local height = scrollArea.height - fsHeight
	local bottom = scrollArea.yOffset
	local center = scrollArea.xOffset
	if scrollArea.reverse then
		percent = 1 - percent
	end
	local y = bottom + percent * height
	local x = center
	local align = scrollArea.align
	local point
	if align == "LEFT" then
		point = "BOTTOMLEFT"
	elseif align == "RIGHT" then
		point = "BOTTOMRIGHT"
	else -- center
		point = "BOTTOM"
	end
	fontstring:SetPoint(point, UIParent, "CENTER", x, y)
end)
Parrot:RegisterAnimationStyle("Left parabola", L["Left parabola"], function(fontstring, scrollArea, percent)
	local fsHeight = fontstring:GetHeight()
	local height = scrollArea.height - fsHeight
	local bottom = scrollArea.yOffset
	local center = scrollArea.xOffset
	if scrollArea.reverse then
		percent = 1 - percent
	end
	local y = bottom + percent * height
	local x = center
	local align = scrollArea.align
	local point
	if align == "LEFT" then
		point = "BOTTOMLEFT"
	elseif align == "RIGHT" then
		point = "BOTTOMRIGHT"
	else -- center
		point = "BOTTOM"
	end
	x = x - (1 - (percent - 0.5)^2) * height * 1/2
	fontstring:SetPoint(point, UIParent, "CENTER", x, y)
end)
Parrot:RegisterAnimationStyle("Right parabola", L["Right parabola"], function(fontstring, scrollArea, percent)
	local fsHeight = fontstring:GetHeight()
	local height = scrollArea.height - fsHeight
	local bottom = scrollArea.yOffset
	local center = scrollArea.xOffset
	if scrollArea.reverse then
		percent = 1 - percent
	end
	local y = bottom + percent * height
	local x = center
	local align = scrollArea.align
	local point
	if align == "LEFT" then
		point = "BOTTOMLEFT"
	elseif align == "RIGHT" then
		point = "BOTTOMRIGHT"
	else -- center
		point = "BOTTOM"
	end
	x = x + (1 - (percent - 0.5)^2) * height * 1/2
	fontstring:SetPoint(point, UIParent, "CENTER", x, y)
end)
